/*
****************************************
-- Basic XML data type variable
****************************************
*/ 

DECLARE @XmlData AS xml = '
<Orders>
  <Order>
    <OrderId>5</OrderId>
    <CustomerId>60</CustomerId>
    <OrderDate>2011-10-10T14:22:27.25-05:00</OrderDate>
    <OrderAmount>25.9O</OrderAmount>
  </Order>
</Orders>'

SELECT @XmlData

/*
****************************************
-- Basic XML data type column
****************************************
*/ 
USE AdventureWorks2012
GO

CREATE TABLE OrdersXML(
  OrdersId int PRIMARY KEY, 
  OrdersDoc xml NOT NULL DEFAULT '<Orders />')
GO

DECLARE @XmlData AS xml = '
<Orders>
  <Order>
    <OrderId>5</OrderId>
    <CustomerId>60</CustomerId>
    <OrderDate>2011-10-10T14:22:27.25-05:00</OrderDate>
    <OrderAmount>25.90</OrderAmount>
  </Order>
</Orders>'

INSERT INTO OrdersXML (OrdersId, OrdersDoc) VALUES (1, @XmlData)
GO

-- SQL Server won't permit storing malformed XML
INSERT INTO OrdersXML (OrdersId, OrdersDoc) VALUES (2, '<Orders></orders>')


SELECT * FROM OrdersXML
GO
DROP TABLE OrdersXML
GO
