﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DemoLinqToSql
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void btnLinqToSql_Click(object sender, EventArgs e)
    {
      using (var ctx = new SampleL2SDataContext())
      {
        var q =
          from customer in ctx.Customers
          where !customer.LastName.StartsWith("A")
          orderby customer.LastName descending
          select customer;

        var list = q.ToList();

        MessageBox.Show(string.Format("Non-A customer count: {0}", list.Count));
      }
    }
  }
}
