﻿using System;
using System.Collections.Generic;
using System.Data.Services;
using System.Data.Services.Common;
using System.Linq;
using System.ServiceModel.Web;
using System.Web;

namespace FlixPollWCFServiceWebRole
{
    public class FlixPollDataService : DataService<FlixPollOnCloudEntities>
    {
        public static void InitializeService(DataServiceConfiguration config)
        {
            config.UseVerboseErrors = true;

            config.SetEntitySetAccessRule("Movies", EntitySetRights.All);
            config.SetEntitySetAccessRule("Inquiries", EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("Responses", EntitySetRights.AllWrite);

            config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2;
        }
    }
}
